Loading...
Searching...
No Matches
Tables

## Functions

PUBLIC int | csoundTableLength (CSOUND *, int table)
| Returns the length of a function table (not including the guard point), or -1 if the table does not exist.
PUBLIC MYFLT | csoundTableGet (CSOUND *, int table, int index)
| Returns the value of a slot in a function table.
PUBLIC void | csoundTableSet (CSOUND *, int table, int index, MYFLT value)
| Sets the value of a slot in a function table.
PUBLIC void | csoundTableCopyOut (CSOUND *csound, int table, MYFLT *dest)
| Copy the contents of a function table into a supplied array *dest The table number is assumed to be valid, and the destination needs to have sufficient space to receive all the function table contents.
PUBLIC void | csoundTableCopyOutAsync (CSOUND *csound, int table, MYFLT *dest)
| Asynchronous version of csoundTableCopyOut().
PUBLIC void | csoundTableCopyIn (CSOUND *csound, int table, MYFLT *src)
| Copy the contents of an array *src into a given function table The table number is assumed to be valid, and the table needs to have sufficient space to receive all the array contents.
PUBLIC void | csoundTableCopyInAsync (CSOUND *csound, int table, MYFLT *src)
| Asynchronous version of csoundTableCopyIn().
PUBLIC int | csoundGetTable (CSOUND *, MYFLT **tablePtr, int tableNum)
| Stores pointer to function table 'tableNum' in *tablePtr, and returns the table length (not including the guard point).
PUBLIC int | csoundGetTableArgs (CSOUND *csound, MYFLT **argsPtr, int tableNum)
| Stores pointer to the arguments used to generate function table 'tableNum' in *argsPtr, and returns the number of arguments used.
PUBLIC int | csoundIsNamedGEN (CSOUND *csound, int num)
| Checks if a given GEN number num is a named GEN if so, it returns the string length (excluding terminating NULL char) Otherwise it returns 0.
PUBLIC void | csoundGetNamedGEN (CSOUND *csound, int num, char *name, int len)
| Gets the GEN name from a number num, if this is a named GEN The final parameter is the max len of the string (excluding termination).

## Detailed Description

## Function Documentation

## csoundGetNamedGEN()

PUBLIC void csoundGetNamedGEN | ( | CSOUND * | csound,
|  | int | num,
|  | char * | name,
|  | int | len )

Gets the GEN name from a number num, if this is a named GEN The final parameter is the max len of the string (excluding termination).

References PUBLIC.

## csoundGetTable()

PUBLIC int csoundGetTable | ( | CSOUND * | ,
|  | MYFLT ** | tablePtr,
|  | int | tableNum )

Stores pointer to function table 'tableNum' in *tablePtr, and returns the table length (not including the guard point).

If the table does not exist, *tablePtr is set to NULL and -1 is returned.

References PUBLIC.

## csoundGetTableArgs()

PUBLIC int csoundGetTableArgs | ( | CSOUND * | csound,
|  | MYFLT ** | argsPtr,
|  | int | tableNum )

Stores pointer to the arguments used to generate function table 'tableNum' in *argsPtr, and returns the number of arguments used.

If the table does not exist, *argsPtr is set to NULL and -1 is returned. NB: the argument list starts with the GEN number and is followed by its parameters. eg. f 1 0 1024 10 1 0.5 yields the list {10.0,1.0,0.5}

References PUBLIC.

## csoundIsNamedGEN()

PUBLIC int csoundIsNamedGEN | ( | CSOUND * | csound,
|  | int | num )

Checks if a given GEN number num is a named GEN if so, it returns the string length (excluding terminating NULL char) Otherwise it returns 0.

References PUBLIC.

## csoundTableCopyIn()

PUBLIC void csoundTableCopyIn | ( | CSOUND * | csound,
|  | int | table,
|  | MYFLT * | src )

Copy the contents of an array *src into a given function table The table number is assumed to be valid, and the table needs to have sufficient space to receive all the array contents.

References PUBLIC.

## csoundTableCopyInAsync()

PUBLIC void csoundTableCopyInAsync | ( | CSOUND * | csound,
|  | int | table,
|  | MYFLT * | src )

Asynchronous version of csoundTableCopyIn().

References PUBLIC.

## csoundTableCopyOut()

PUBLIC void csoundTableCopyOut | ( | CSOUND * | csound,
|  | int | table,
|  | MYFLT * | dest )

Copy the contents of a function table into a supplied array *dest The table number is assumed to be valid, and the destination needs to have sufficient space to receive all the function table contents.

References PUBLIC.

## csoundTableCopyOutAsync()

PUBLIC void csoundTableCopyOutAsync | ( | CSOUND * | csound,
|  | int | table,
|  | MYFLT * | dest )

Asynchronous version of csoundTableCopyOut().

References PUBLIC.

## csoundTableGet()

PUBLIC MYFLT csoundTableGet | ( | CSOUND * | ,
|  | int | table,
|  | int | index )

Returns the value of a slot in a function table.

The table number and index are assumed to be valid.

References PUBLIC.

## csoundTableLength()

PUBLIC int csoundTableLength | ( | CSOUND * | ,
|  | int | table )

Returns the length of a function table (not including the guard point), or -1 if the table does not exist.

References PUBLIC.

## csoundTableSet()

PUBLIC void csoundTableSet | ( | CSOUND * | ,
|  | int | table,
|  | int | index,
|  | MYFLT | value )

Sets the value of a slot in a function table.

The table number and index are assumed to be valid.

References PUBLIC.